Package org.apache.solr.client.solrj.response.json

# Class NestableJsonFacet

java.lang.Object
org.apache.solr.client.solrj.response.json.NestableJsonFacet

Direct Known Subclasses:
  `BucketJsonFacet`

public class NestableJsonFacet extends Object
Represents the response to a "query" JSON facet.

Relies on several other types to represent the variety of JSON facet responses. The parsing of these responses relies partially on the JSON property names. When naming your facets in your request, avoid choosing names that match existing values in the JSON faceting response schema, such as "count", "val", "minX", etc.

## Constructor Summary

Constructors
Constructor
Description
`NestableJsonFacet(NamedList<?> facetNL)`

## Method Summary

Modifier and Type
Method
Description
`Set<String>`
`getBucketBasedFacetNames()`
`BucketBasedJsonFacet`
`getBucketBasedFacets(String name)`
Retrieve a nested "terms" or "range" facet by its name.
`long`
`getCount()`
The number of records matching the domain of this facet.
`HeatmapJsonFacet`
`getHeatmapFacetByName(String name)`
Retrieve a "heatmap" facet by its name
`Set<String>`
`getHeatmapFacetNames()`
`protected Set<String>`
`getKeysToSkip()`
`NestableJsonFacet`
`getQueryFacet(String name)`
Retrieve a nested "query" facet by its name
`Set<String>`
`getQueryFacetNames()`
`Set<String>`
`getStatNames()`
`Object`
`getStatValue(String name)`
Retrieve the value for a stat or agg with the provided name

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NestableJsonFacet

public NestableJsonFacet(NamedList<?> facetNL)

## Method Details

### getCount

public long getCount()
The number of records matching the domain of this facet.

### getQueryFacet

public NestableJsonFacet getQueryFacet(String name)
Retrieve a nested "query" facet by its name

### getQueryFacetNames

public Set<String> getQueryFacetNames()

Returns:
  the names of any "query" facets that are direct descendants of the current facet

### getBucketBasedFacets

public BucketBasedJsonFacet getBucketBasedFacets(String name)
Retrieve a nested "terms" or "range" facet by its name.

### getBucketBasedFacetNames

public Set<String> getBucketBasedFacetNames()

Returns:
  the names of any "terms" or "range" facets that are direct descendants of this facet

### getStatValue

public Object getStatValue(String name)
Retrieve the value for a stat or agg with the provided name

### getStatNames

public Set<String> getStatNames()

Returns:
  the names of any stat or agg that are direct descendants of this facet

### getHeatmapFacetByName

public HeatmapJsonFacet getHeatmapFacetByName(String name)
Retrieve a "heatmap" facet by its name

### getHeatmapFacetNames

public Set<String> getHeatmapFacetNames()

Returns:
  the names of any heatmap facets that are direct descendants of this facet

### getKeysToSkip

protected Set<String> getKeysToSkip()